# List all schemas of resources Lists all schemas for all supported resources. A schema is a collection of attribute definitions that describe the contents of an entire or partial resource, e.g., "urn:ietf:params:scim:schemas:core:2.0:User". The attribute definitions specify the name of the attribute, and metadata such as type (e.g., string, binary), cardinality (singular, multi, complex), mutability, and returnability. Endpoint: GET /scim/v2/Schemas Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Unique key used to ensure idempotent behavior. - `Accept-Encoding` (string) Indicates the response's preferred content encoding. Supported values are gzip and identity. - `Content-Encoding` (string) This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids-Single` (string) ## Response 200 fields (application/json): - `schemas` (array) List of schema identifiers defining the structure of the response. - `patch` (object) Information about support for patch operations. - `patch.supported` (boolean) Indicates if patch operations are supported. - `bulk` (object) Information about support for bulk operations. - `bulk.supported` (boolean) Indicates if bulk operations are supported. - `bulk.maxOperations` (integer) Maximum number of operations allowed in a single bulk request. - `bulk.maxPayloadSize` (integer) Maximum size (in bytes) of the payload allowed for a bulk request. - `filter` (object) Information about support for filtering. - `filter.supported` (boolean) Indicates if filtering is supported. - `filter.maxResults` (integer) Maximum number of results that can be returned by a single filter query. - `changePassword` (object) Information about support for password change operations. - `changePassword.supported` (boolean) Indicates if password change operations are supported. - `sort` (object) Information about support for sorting. - `sort.supported` (boolean) Indicates if sorting is supported. - `etag` (object) Information about support for ETag operations. - `etag.supported` (boolean) Indicates if ETag operations are supported. - `authenticationSchemes` (array) List of supported authentication schemes. - `authenticationSchemes.name` (string) Name of the authentication scheme. - `authenticationSchemes.description` (string) Description of the authentication scheme. - `authenticationSchemes.specUri` (string) URI for the specification of the authentication scheme. - `authenticationSchemes.type` (string) Type of the authentication scheme (e.g., OAuth, Basic). - `authenticationSchemes.primary` (boolean) Indicates if this is the primary authentication scheme. - `id` (string,null) - `externalId` (string,null) - `meta` (object,null) Metadata about the resource type. - `meta.resourceType` (string) Type of the resource (e.g., ResourceType). - `meta.location` (string) URL where the resource type can be accessed. - `totalResults` (integer) Total number of user groups returned in the response. Example: 2 - `resources` (array) List of resource types available. - `resources.schemas` (array) List of schema identifiers that define the structure of the resource type. - `resources.id` (string) Unique identifier of the resource type. - `resources.name` (string) Name of the resource type. - `resources.description` (string) Detailed description of the resource type. - `resources.attributes` (array) List of attributes defined by the schema. - `resources.attributes.name` (string) Name of the attribute. - `resources.attributes.type` (string) Data type of the attribute (e.g., string, boolean). - `resources.attributes.multiValued` (boolean) Indicates if the attribute can hold multiple values. - `resources.attributes.description` (string) Description of the attribute. - `resources.attributes.required` (boolean) Indicates if the attribute is required. - `resources.attributes.caseExact` (boolean) Indicates if the attribute value is case-sensitive. - `resources.attributes.mutability` (string) Specifies the mutability of the attribute (e.g., readOnly, readWrite). - `resources.attributes.returned` (string) Specifies when the attribute is returned in responses (e.g., always, never). - `resources.attributes.uniqueness` (string) Specifies the uniqueness of the attribute values (e.g., none, server). ## Response 401 fields ## Response 403 fields ## Response 404 fields